#ifndef __TAUDIOSHARED_H__
#define __TAUDIOSHARED_H__

#include <e32std.h>

extern "C" {
    #include "sssd.h"
}

enum TMixerCmd {
	ECmdStartMixer = 0,
	ECmdStopMixer,
	ECmdDestroyMixer
};

class TAudioShared {

public:

    struct sssdaudio *iSSSDAudio;

    // for thread end signaling
    RSemaphore	iAliveSem;
    
    RSemaphore iStreamOpenedSem;

    // for sample attribute change signaling
    RMutex	iMutex;

    // pause flag
    TBool	iPaused;

    // Command parameter
    TMixerCmd	iCmd;

};

#endif

